
AGRO-POPC - Zadanie #2139
Zadanie # 2151 (Nowy): oprogramowanie do monitoringu systemu
Sprawdzanie danych pod kątem bezpieczeństwa
2019-09-30 09:20 - Roman Bogacewicz

Status: W toku Start date: 2019-09-30
Priority: Normalny Due date:
Assignee: Roman Bogacewicz % Done: 0%
Category: Estimated time: 0.00 hour
Target version: Spent time: 0.00 hour
Developer: Rewizja rozwiązania:
Tester: Rewizja testów:
Description

Sprawdzanie czy umieszczane pliki nie zawierają szkodliwego oprogramowania: wirusy, malware, ransomware itp.

History
#1 - 2020-01-24 12:53 - Roman Bogacewicz
- Assignee set to Tomasz Blazejczyk

Tu chodziło zawartość plików pod kątem wirusów, malware itp.
Trzeba by było zaimplementować jakieś oprogramowanie wirusowe.

Pytania do tego to:
- czy w ogóle jest to możliwe
- czy sprawdzać od razu po wrzuceniu zbioru, czy może całość zasobów, a może katalogami użytkowników lub kolekcji ...
- jaki nakład czasu pracy programisty się z tym wiąże, może nie ma zasobów

#2 - 2020-01-24 13:07 - Tomasz Blazejczyk
- Status changed from Nowy to Odpowiedź
- Assignee changed from Tomasz Blazejczyk to Roman Bogacewicz

W tym celu należy skorzystać z jakiegoś oprogramowania typu Scan Engine udostępniającego API javove, np. Symantec Scan Engine. Inne
rozwiązanie to skorzystanie z serwisu "virustotal" https://developers.virustotal.com/reference#getting-started. Zadanie programistyczne sprowadza się
do wysłania każdego pliku do serwisu poprzez odpowiednie API w momencie zapisu pliku do repozytorium (1-2 dni programowania).
Oczywiście pozostają jeszcze kwestie licencyjne wykorzystanego serwisu.

#3 - 2020-01-24 13:45 - Roman Bogacewicz
- Parent task changed from #2079 to #2151

#4 - 2021-01-22 07:53 - Tomasz Lewandowski
- Status changed from Odpowiedź to W toku

Czy tutaj mogę już zamknąć, czy to jest zadanie trwające?
